id: 240
createUser: admin
createTime: 2025-05-08T17:51:45.987776394Z
name: nodejsApp_Source_test-app-modi127.82.windup
kind: analyzer
addon: analyzer
extensions:
    - nodejs
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: false
    rules:
        labels:
            excluded: []
            included: []
        path: /rules
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 82
    name: nodejsApp_Source_test-app-modi127
bucket:
    id: 344
    name: ""
started: 2025-05-08T17:51:46.403650889Z
terminated: 2025-05-08T17:53:55.155947212Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-05-08T17:51:46.366884235Z
    - kind: ExtensionSelected
      count: 1
      reason: nodejs
      last: 2025-05-08T17:51:46.380773653Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-240-lh58w
      last: 2025-05-08T17:51:46.459158078Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-05-08T17:51:48.592070789Z
    - kind: PodRunning
      count: 12
      last: 2025-05-08T17:52:01.480161327Z
    - kind: PodSucceeded
      count: 1
      last: 2025-05-08T17:52:01.480162299Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''nodejs'' had not terminated.'
      last: 2025-05-08T17:52:01.578253904Z
    - kind: PodDeleted
      count: 1
      last: 2025-05-08T17:53:55.155860007Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '> SSH_AUTH_SOCK=/tmp/agent.1; export SSH_AUTH_SOCK;'
    - '> SSH_AGENT_PID=18; export SSH_AGENT_PID;'
    - '> echo Agent pid 18;'
    - '> '
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/konveyor/analyzer-lsp'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/analyzer-lsp /shared/source/analyzer-lsp'
    - '> Cloning into ''/shared/source/analyzer-lsp''...'
    - '> '
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: /rules'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/files /addon/rules/files'
    - '> total files 0, total tcs 0, valid 0'
    - '> '
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[RULE] /addon/rules/files/ruleset.yaml not-found;created.'
    - '> - name: nodejs'
    - '>   address: localhost:8000'
    - '>   initConfig:'
    - '>   - location: /shared/source/analyzer-lsp/examples/nodejs'
    - '>     analysisMode: source-only'
    - '>     providerSpecificConfig:'
    - '>       lspServerArgs:'
    - '>       - --stdio'
    - '>       lspServerName: nodejs'
    - '>       lspServerPath: /usr/local/bin/typescript-language-server'
    - '>       workspaceFolders:'
    - '>       - /shared/source/analyzer-lsp/examples/nodejs'
    - '>   contextlines: 0'
    - '> '
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --no-dependency-rules --rules /addon/rules/files'
    - '> time="2025-05-08T17:51:48Z" level=unknown msg="rules parsed" logger=parser parsed=1'
    - '> time="2025-05-08T17:51:48Z" level=unknown msg="rules parsed" logger=parser parsed=2'
    - '> time="2025-05-08T17:51:48Z" level=unknown msg="rules parsed" logger=parser parsed=3'
    - '> time="2025-05-08T17:51:54Z" level=info msg="inject span info" carrier="{}"'
    - '> time="2025-05-08T17:51:54Z" level=unknown msg="initiating rule processing" taggingRules=0 totalRules=3 violationRules=3'
    - '> time="2025-05-08T17:51:54Z" level=unknown msg="Rules in the current batch added to buffer, waiting for engine to complete" size=0'
    - '> time="2025-05-08T17:51:54Z" level=trace msg="done processing rules in the current batch" batch=initialTaggingRules'
    - '> time="2025-05-08T17:51:54Z" level=unknown msg="processed initial tagging rules" totalProcessed=0 totalRules=3'
    - '> time="2025-05-08T17:51:54Z" level=unknown msg="Rules in the current batch added to buffer, waiting for engine to complete" size=0'
    - '> time="2025-05-08T17:51:54Z" level=trace msg="done processing rules in the current batch" batch=dependentTaggingRules'
    - '> time="2025-05-08T17:51:54Z" level=unknown msg="processed dependent tagging rules" totalProcessed=0 totalRules=3'
    - '> time="2025-05-08T17:51:54Z" level=unknown msg="Rules in the current batch added to buffer, waiting for engine to complete" size=3'
    - '> time="2025-05-08T17:51:54Z" level=unknown msg="taking rule" rule=node-sample-rule-002 ruleset=files worker=6'
    - '> time="2025-05-08T17:51:54Z" level=info msg="Adding Carrier span info to context" worker=6'
    - '> time="2025-05-08T17:51:54Z" level=info msg="processing rule" logger=process-rule ruleID=node-sample-rule-002 worker=6'
    - '> time="2025-05-08T17:51:54Z" level=unknown msg="taking rule" rule=node-sample-rule-003 ruleset=files worker=4'
    - '> time="2025-05-08T17:51:54Z" level=info msg="Adding Carrier span info to context" worker=4'
    - '> time="2025-05-08T17:51:54Z" level=info msg="processing rule" logger=process-rule ruleID=node-sample-rule-003 worker=4'
    - '> time="2025-05-08T17:51:54Z" level=unknown msg="taking rule" rule=node-sample-rule-001 ruleset=files worker=3'
    - '> time="2025-05-08T17:51:54Z" level=info msg="Adding Carrier span info to context" worker=3'
    - '> time="2025-05-08T17:51:54Z" level=info msg="processing rule" logger=process-rule ruleID=node-sample-rule-001 worker=3'
    - '> time="2025-05-08T17:51:54Z" level=error msg="failed to get list of dependencies for provider" error="dependency provider path not set" provider=nodejs'
    - '> time="2025-05-08T17:51:54Z" level=info msg="provider does not have dependency capability" provider=builtin'
    - '> time="2025-05-08T17:51:54Z" level=info msg="failed to get dependencies from all given providers"'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="no incidents found" ruleID=node-sample-rule-003 worker=4'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="finished rule" error=null found=0 rule=node-sample-rule-003 worker=4'
    - '> time="2025-05-08T17:51:59Z" level=info msg="rule returned" ruleID=node-sample-rule-003'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="rule was evaluated, and we did not find a violation" ruleID=node-sample-rule-003'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="rule response received" batch=violationRules failed=0 matched=0 total=3 unmatched=1'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="finished rule" error=null found=3 rule=node-sample-rule-002 worker=6'
    - '> time="2025-05-08T17:51:59Z" level=info msg="rule returned" ruleID=node-sample-rule-002'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="rule matched" batch=violationRules ruleID=node-sample-rule-002'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="rule response received" batch=violationRules failed=0 matched=1 total=3 unmatched=1'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="finished rule" error=null found=3 rule=node-sample-rule-001 worker=3'
    - '> time="2025-05-08T17:51:59Z" level=info msg="rule returned" ruleID=node-sample-rule-001'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="rule matched" batch=violationRules ruleID=node-sample-rule-001'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="rule response received" batch=violationRules failed=0 matched=2 total=3 unmatched=1'
    - '> time="2025-05-08T17:51:59Z" level=trace msg="done processing rules in the current batch" batch=violationRules'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="processed violation rules" totalProcessed=3 totalRules=3'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="rule engine stopping"'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=5'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=3'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=6'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=4'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=9'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=1'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=8'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=7'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=2'
    - '> time="2025-05-08T17:51:59Z" level=unknown msg="stopping rule worker" worker=0'
    - '> '
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 82.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '> 4f56f7a3bd27703fdde441cd2632103e0f647bc8'
    - '> '
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 67 reported. duration: 25.081308ms'
    - Facts updated.
    - Done.
attached:
    - id: 2218
      name: git.output
      activity: 23
    - id: 2214
      name: konveyor-analyzer.output
      activity: 20
    - id: 2213
      name: settings.yaml
      activity: 19
    - id: 2212
      name: windup-shim.output
      activity: 17
    - id: 2211
      name: git.output
      activity: 14
    - id: 2210
      name: ssh-agent.output
      activity: 9
    - id: 2215
      name: addon.log
    - id: 2216
      name: nodejs.log
    - id: 2220
      name: pod.yaml
